version: '3'
services:
  tone:
    image:
    ports:
      - "9999:80"
      - "30001:8888"
    environment:
      # - APP_ENV=local
      # env
      - env=prod
      - broker_url=
      - backend_url=

      # db
      - db_host=
      - db_name=
      - db_user=
      - db_password=

      # redis
      - redis_host=
      - redis_password=
      - redis_port=
      - redis_username=
      - redis_cache_db=

      # tone_agent
      - tone_agent_url=
      - tone_agent_key=
      - tone_agent_secret=

      - cdn_domain=
      - email_password=

      # app domain
      - app_domain=

      # oss
      - oss_access_key=
      - oss_access_secret=
      - aly_oss_bucket=
      - aly_oss_endpoint=
      - aly_oss_access_key=
      - aly_oss_access_secret=

  tone-runner:
    image:
    ports:
      - "8080:80"
    environment:
      - env=prod
      - oss_head=
      - ecs_login_password=

      # db
      - db_host=
      - database=
      - db_user=
      - db_password=

      - redis_host=
      - redis_port=
      - redis_username=
      - redis_password=
      - celery_broker_db=
      - celery_backend_db=
      - cache_db=

      - ding_talk_token=
      - email_host=
      - email_host_user=
      - email_password=

      - tone_agent_domain=
      - tone_agent_access_key=
      - tone_agent_secret_key=

      - tone_home=

      - api_secret_key=
      - fingerprint_file=./.fingerprint
      - tone_path=/tmp/tone
      - log_level=info
      - log_path=./logs

      - ali_sso_server=
      - aly_access_id=
      - aly_access_key=
      - aly_oss_bucket=
      - aly_oss_endpoint=

  tone-agent:
    image:
    ports:
      - "8081:80"
      - "30002:8888"
    environment:
      - broker_url=
      - backend_url=
      - env=prod
      - db_host=
      - db_name=
      - db_user=
      - db_password=
